{% extends "base_annexe.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
  <br>
  <h2>Customer : {{customer['global-customer-id']}}</h2>
      <div class="table-responsive">
        <table class="table table-striped">
            <br>
            {% if service_list == [] %}
              <div>
                List of service empty
              </div>
            {% else %}
               <thead>
               <tr>
                   <th>#</th>
                   <th>subscribed service</th>
                   <th>associated tenant</th>
                   <th>tenant Id</th>
                   <th>Cloud Owner / Cloud Region </th>
               </tr>
               </thead>
               <tbody>
                  {% for service in service_list %}
                  <tr>
                      {% if service['element_tenant'] == [] %}
                         <td><class="customer" type="text" id="indice_{{loop.index}}" name="indice_{{loop.index}}" value="{{service['indice']}}">{{service['indice']}}
                         </td>
                         <td><class="customer" type="text" id="service-name_{{loop.index}}" name="service-name_{{loop.index}}" value="{{service['name']}}">{{service['name']}}
                         </td>
                      {% else %}
                         {% for tenant in service['element_tenant'] %}
                              <td><class="customer" type="text" id="indice_{{loop.index}}" name="indice_{{loop.index}}" value="{{service['indice']}}">{{service['indice']}}
                              </td>
                              <td><class="customer" type="text" id="service-name_{{loop.index}}" name="service-name_{{loop.index}}" value="{{service['name']}}">{{service['name']}}
                              </td>
                              <td><class="customer" type="text" id="tenant_{{loop.index}}" name="tenant_{{loop.index}}" value="{{tenant[0]}}">{{tenant[0]}}
                              </td>
                              <td><class="customer" type="text" id="tenant-id_{{loop.index}}" name="tenant-id_{{loop.index}}" value="{{tenant[3]}}">{{tenant[3]}}
                              </td>
                              <td><class="customer" type="text" id="tenant-cloudowner_{{loop.index}}" name="tenant-cloudowner_{{loop.index}}" value="{{tenant[1]}}">{{tenant[1]}}
                               / <class="customer" type="text" id="tenant-cloudregion_{{loop.index}}" name="tenant-cloudregion_{{loop.index}}" value="{{tenant[2]}}">{{tenant[2]}}
                              </td>
                              <tr></tr>
                         {% endfor %}
                      {% endif %}
                  </tr>
                  {% endfor %}
               </tbody>
            {% endif %}
        </table>
      </div>
</main>
{% endblock %}
